Subject: Re: kernel headers

From: [email-masked] (David Engel)
Date: Tue, 4 Jun 1996 10:40:21 -0500 (CDT)

I'm changed debian-user to debian-devel since that forum is more
appropriate for this discussion.

H.J. Lu writes:
> > This has already been debated enough.  Debian will continue to include
> > known-working kernel headers with libc unless and until that
> > arrangement proves to be unworkable.  As I have time, I will continue
> > to encourage H.J. Lu and other Linux distributors to do the same.
> 
> I still prefer to use the kernel source installed on the
> system. It is not easy.

What is not easy?  If you mean keeping libc working with ever changing
kernel headers, then I agree.  That's what we're trying to address here.

> But otherwise, you may get inconsistent result in system calls.

Please explain.  A program compiled with a known working set of libc
and kernel headers should continue to run fine under newer kernels.
Do you not agree?

The old arrangement of using the headers from the kernel de jour
worked well for a long time.  It may very well have been the only
viable way to do things when both the kernel and libc were evolving at
rapid rates.  Times have changed though, and it's more important now
to provide a stable development environment for regular users than it
is to make the very latest kernel feature immediately available
through libc for system developers.

IMO, the approach we've taken with Debian gives us the best of both
worlds.  Regular users get a stable development environment that isn't
affected by potentially incompatible changes in kernel headers (such
as moving linux/vm86.h to asm/vm86.h) and system developers can still
use -I/usr/src/linux/include if they need the very latest headers.

David
-- 
David Engel                        Optical Data Systems, Inc.
[email-masked]                      1101 E. Arapaho Road
(214) 234-6400                     Richardson, TX  75081